Name:           crlibm
Version:        1.0
Release:        0.18.beta4%{?dist}
Summary:        Correctly Rounded mathematical library

Group:          System Environment/Libraries
License:        LGPLv2+
URL:            http://lipforge.ens-lyon.fr/www/crlibm/
Source0:        http://lipforge.ens-lyon.fr/frs/download.php/162/crlibm-1.0beta4.tar.gz
Patch0:         %{name}-1.0beta4-shared.patch

%if 0%{?fedora}
BuildRequires:  texlive-collection-latexrecommended
BuildRequires:  tex(fullpage.sty)
%else if 0%{?rhel} >= 6
BuildRequires:  texlive-latex
%else
BuildRequires:  tetex-latex
%endif

BuildRequires:  autoconf, automake, libtool
BuildRequires:  libscs-devel

%description
CRlibm is a free mathematical library (libm) which provides:
* implementations of the double-precision C99 standard elementary functions,
* correctly rounded in the four IEEE-754 rounding modes,
* with a comprehensive proof of both the algorithms used and their
  implementation,
* sufficiently efficient in average time, worst-case time, and memory
  consumption to replace existing libms transparently.


%package        devel
Summary:        Development files for %{name}
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}

%description    devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%setup -q -n %{name}-1.0beta4
%patch0 -p1 -b .shared

rm -rf scs_lib


%build
# autoreconf requires because the patch modifies configure.ac and Makefile.am
autoreconf --install --force
%configure --disable-static
make %{?_smp_mflags}
make crlibm.pdf


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -name '*.la' -exec rm -f {} ';'

# We do not want to install the test programs
rm -rf $RPM_BUILD_ROOT%{_bindir}


%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig


%files
%doc README AUTHORS COPYING.LIB
%{_libdir}/*.so.*

%files devel
%doc docs/crlibm.pdf
%{_includedir}/*
%{_libdir}/*.so


%changelog
* Thu Jul 12 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.0-0.18.beta4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_29_Mass_Rebuild

* Wed Feb 07 2018 Fedora Release Engineering <releng@fedoraproject.org> - 1.0-0.17.beta4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_28_Mass_Rebuild

* Wed Aug 02 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.0-0.16.beta4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Binutils_Mass_Rebuild

* Wed Jul 26 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.0-0.15.beta4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Fri Feb 10 2017 Fedora Release Engineering <releng@fedoraproject.org> - 1.0-0.14.beta4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Wed Feb 03 2016 Fedora Release Engineering <releng@fedoraproject.org> - 1.0-0.13.beta4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Wed Jun 17 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-0.12.beta4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Sat Aug 16 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-0.11.beta4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_22_Mass_Rebuild

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-0.10.beta4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Mon Aug 19 2013 Ralf Corsépius <corsepiu@fedoraproject.org> - 1.0-0.9.beta4
- Rework latex related BRs (FTFBS, RHBZ #992096, #913930).

* Sat Aug 03 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-0.8.beta4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_20_Mass_Rebuild

* Wed Feb 13 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-0.7.beta4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Jul 18 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-0.6.beta4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Fri Jan 13 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 1.0-0.5.beta4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_17_Mass_Rebuild

* Mon Mar 21 2011 Tim Niemueller <tim@niemueller.de> - 1.0-0.4.beta4
- Fix LaTeX build require for EL5

* Sat Feb 19 2011 Tim Niemueller <tim@niemueller.de> - 1.0-0.3.beta4
- Delete included scs_lib in prep stage

* Sat Feb 19 2011 Tim Niemueller <tim@niemueller.de> - 1.0-0.2.beta4
- Use system-wide installed scslib if available

* Tue Feb 08 2011 Tim Niemueller <tim@niemueller.de> - 1.0-0.1.beta4
- Initial package

